summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_node_health_check.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-09-06 17:53:05 +0200
committerHolger Levsen <holger@layer-acht.org>2017-09-06 17:53:05 +0200
commit291ec41c70fea42a0938f2bc607e76c973f79f41 (patch)
tree83702a4ebaeccfc0162109d76d44e50fc7900b6d /bin/reproducible_node_health_check.sh
parenta167b1c1bfbb7cfc1b4abc0edb57376db36a5c1d (diff)
downloadjenkins.debian.net-291ec41c70fea42a0938f2bc607e76c973f79f41.tar.xz
detect dpkg_stretch_find_trigger_cycles job as zombie
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/reproducible_node_health_check.sh')
-rwxr-xr-xbin/reproducible_node_health_check.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index 5afc7b60..4f5b868d 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -145,7 +145,7 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
# and we dont know why and when that happens,
# so just report those zombies here.
#
- ZOMBIES=$(ls -1d /var/lib/jenkins/jobs/* | egrep 'reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|aptdpkg|ff64a|jtk1a|odc2a|stretch_install_education-thin-client-server|jessie_multiarch_versionskew' || true)
+ ZOMBIES=$(ls -1d /var/lib/jenkins/jobs/* | egrep 'reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|aptdpkg|ff64a|jtk1a|odc2a|stretch_install_education-thin-client-server|jessie_multiarch_versionskew|dpkg_stretch_find_trigger_cycles' || true)
if [ ! -z "$ZOMBIES" ] ; then
echo "Warning, rise of the jenkins job zombies has started again, these jobs should not exist:"
for z in $ZOMBIES ; do